Subject: reminder about remote presentations

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 24 Mar 2019 08:57:31 -0500

Hi all,

Let me make one final plea that you have any participants intending to give
remote presentations register with meetecho as remote presenters.
As I understand it, the process is pretty painless, and ends up having a
big (positive) impact on the quality of experience for everyone, remote
and local, at the session.

The procedure was described at
https://mailarchive.ietf.org/arch/msg/wgchairs/49b9BuB6IcxWeQMRPmeiLyBxvfQ
which lists a cutoff of yesterday, but I hope that it will not prove to be
a hard cutoff.

Thanks,

Ben